
Libprelude - Bug #51

libprelude perl binding won't compile

01/13/2005 04:37 PM - Sebastien Tricaud

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Yoann VANDOORSELAERE % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: fixed   

Description

cc -c  -I../..//src/include -I../../src/include -I../..//src/libprelude-error -D_REENTRANT -D_GNU_

SOURCE -DTHREADS_HAVE_PIDS -DDEBIAN -fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE 

-D_FILE_OFFSET_BITS=64 -O2   -DVERSION=\"\" -DXS_VERSION=\"\" -fPIC "-I/usr/lib/perl/5.8/CORE"   P

relude.c

Prelude.c: In function @_wrap_prelude_strerror':

Prelude.c:37602: error: @prelude_error_t' undeclared (first use in this function)

Prelude.c:37602: error: (Each undeclared identifier is reported only once

Prelude.c:37602: error: for each function it appears in.)

Prelude.c:37602: error: syntax error before "arg1" 

Prelude.c:37610: error: @arg1' undeclared (first use in this function)

Prelude.c: In function @_wrap_prelude_strsource':

Prelude.c:37629: error: @prelude_error_t' undeclared (first use in this function)

Prelude.c:37629: error: syntax error before "arg1" 

Prelude.c:37637: error: @arg1' undeclared (first use in this function)

Prelude.c: In function @_wrap_prelude_error_code_to_errno':

Prelude.c:37656: error: @prelude_error_code_t' undeclared (first use in this function)

Prelude.c:37656: error: syntax error before "arg1" 

Prelude.c:37665: error: @argp' undeclared (first use in this function)

Prelude.c:37669: error: @arg1' undeclared (first use in this function)

 

Adding

#include <prelude-error.h>

in Prelude.c

will fix this

History

#1 - 01/14/2005 01:07 PM - Yoann VANDOORSELAERE

- Status changed from New to Closed

- Resolution set to fixed

Thanks, fixed in r4830 by include prelude-error.h in libprelude.i

#2 - 04/29/2009 12:26 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Libprelude

- Category deleted (1)
